import type { PermissionObject } from "@/types/permissionTypes";

export interface ApiViewModel {
  id: number;
  permissions: PermissionObject;
  title: string;
  createdAt: Date;
  lastUsage?: Date;
  expiry?: Date;
}

export interface CreateApiViewModel {
  title: string;
  token: string;
  expiry?: Date;
}

export interface UpdateApiViewModel {
  id: number;
  title: string;
  expiry?: Date;
}

export interface DeleteApiViewModel {
  id: number;
}
